#import "@local/handout:0.1.0": *

// Intro:
// - we don't need signed ints
// - Why is division expensive?
//   Add a few problems add/multiplying/dividing floats
// - Spend more time on left-shift
//
// Another look:
// - Highlight that left-shift divides the exponent by two
// - Highlight that log(ri) is already in its integer representation
//
// Bonus:
// - Floats vs fixed point
// - Float density
// - Find non-floatable rational numbers
// - What if we use `n`-bit floats?

#show: doc => handout(
  doc,
  group: "Advanced 2",

  title: [Fast Inverse Root],
  by: "Mark",
  subtitle: "Based on a handout by Bryant Mathews",
)

#include "parts/00 int.typ"
#pagebreak()

#include "parts/01 float.typ"
#pagebreak()

#include "parts/02 approx.typ"
#pagebreak()

#include "parts/03 quake.typ"
